cURL
Authorizations
string
header
required
DashScope API Key
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a new deployment and bind it to an Agent and trigger method
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/deployments' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "每日订单汇总",
"agent": {
"id": "agent_xxx",
"version": 12
},
"environment_id": "env_xxx",
"schedule": {
"type": "cron",
"expression": "0 9 * * 1-5",
"timezone": "Asia/Shanghai"
},
"initial_events": [
{
"type": "message",
"role": "user",
"content": [
{
"type": "text",
"text": "汇总昨日订单数据"
}
]
}
]
}
'{
"id": "depl_xxx",
"type": "deployment",
"name": "每日订单汇总",
"status": "active",
"agent": {
"id": "agent_xxx",
"version": 12
},
"environment_id": "env_xxx",
"schedule": {
"type": "cron",
"expression": "0 9 * * 1-5",
"timezone": "Asia/Shanghai",
"last_run_at": null,
"next_run_at": "2026-07-28T01:00:00Z"
},
"initial_events": [
{
"type": "message",
"role": "user",
"content": [
{
"type": "text",
"text": "汇总昨日订单数据"
}
]
}
],
"resources": [],
"vault_ids": [],
"metadata": {},
"paused_reason": null,
"archived_at": null,
"created_at": "2026-07-28T01:00:00Z",
"updated_at": "2026-07-28T01:00:00Z",
"request_id": "req_xxx"
}DashScope API Key
Deployment 名称,最长 256 字符
触发时发送给 Agent 的初始事件列表,1-50 项
部署用途描述
关联的 Environment ID
关联的 Vault ID 列表
业务自定义键值对
Deployment ID
固定值 deployment
Deployment 名称
部署用途描述
Show child attributes
Show child attributes
工具包类型
当前工具包中单个工具的启用和审批策略配置;逐工具配置覆盖 default_config
Show child attributes
mcp_toolkit 类型对应的 MCP Server 名称
暂停原因,仅暂停状态时返回
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/deployments' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "每日订单汇总",
"agent": {
"id": "agent_xxx",
"version": 12
},
"environment_id": "env_xxx",
"schedule": {
"type": "cron",
"expression": "0 9 * * 1-5",
"timezone": "Asia/Shanghai"
},
"initial_events": [
{
"type": "message",
"role": "user",
"content": [
{
"type": "text",
"text": "汇总昨日订单数据"
}
]
}
]
}
'{
"id": "depl_xxx",
"type": "deployment",
"name": "每日订单汇总",
"status": "active",
"agent": {
"id": "agent_xxx",
"version": 12
},
"environment_id": "env_xxx",
"schedule": {
"type": "cron",
"expression": "0 9 * * 1-5",
"timezone": "Asia/Shanghai",
"last_run_at": null,
"next_run_at": "2026-07-28T01:00:00Z"
},
"initial_events": [
{
"type": "message",
"role": "user",
"content": [
{
"type": "text",
"text": "汇总昨日订单数据"
}
]
}
],
"resources": [],
"vault_ids": [],
"metadata": {},
"paused_reason": null,
"archived_at": null,
"created_at": "2026-07-28T01:00:00Z",
"updated_at": "2026-07-28T01:00:00Z",
"request_id": "req_xxx"
}